/* -*- Mode: Javascript; tab-width: 2; c-basic-offset: 2; -*-
 * 
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s): 
 *
 *  Doug Turner   <dougt@acm.org> 
 *  Pete Collins  <petejc@mozdev.org> 
 */

const G_VER             = "0.1.59";
const G_MSG             = "JSLIB v"+G_VER;
const G_NAME            = "JSLIB";
const G_CHROME          = "Chrome";
const G_USER            = "Current User";
const G_RT              = "jslib";
const G_CONTENT         = "content/";

const G_CHROME_DIR      = getFolder(G_USER, "chrome");
var err                 = initInstall(G_MSG, G_NAME, G_VER); 

logComment("initInstall: " + err);

addDirectory("", G_RT,  getFolder(G_CHROME_DIR, G_RT),  "");

logComment("registerChrome: " +
            registerChrome(PACKAGE|CONTENT|DELAYED_CHROME, 
                           getFolder(G_CHROME_DIR, G_RT), ""));

err = getLastError();

if (err==SUCCESS)
  performInstall(); 
else
  cancelInstall(err);


